Commit ee35ad32 authored by Jonne Haß's avatar Jonne Haß
Browse files

update devise-two-factor to 4.0.0

parent cb675f5c
......@@ -27,7 +27,7 @@ gem "json-schema", "2.8.1"
# Authentication
gem "devise", "4.7.1"
gem "devise-two-factor", "3.0.3"
gem "devise-two-factor", "4.0.0"
gem "devise_lastseenable", "0.0.6"
gem "rqrcode", "1.1.2"
......
......@@ -174,12 +174,12 @@ GEM
railties (>= 4.1.0)
responders
warden (~> 1.2.3)
devise-two-factor (3.0.3)
activesupport (< 5.3)
devise-two-factor (4.0.0)
activesupport (< 6.2)
attr_encrypted (>= 1.3, < 4, != 2)
devise (~> 4.0)
railties (< 5.3)
rotp (~> 2.0)
railties (< 6.2)
rotp (~> 6.0)
devise_lastseenable (0.0.6)
devise
rails (>= 3.0.4)
......@@ -616,7 +616,7 @@ GEM
actionpack (>= 5.0)
railties (>= 5.0)
rexml (3.2.4)
rotp (2.1.2)
rotp (6.2.0)
rqrcode (1.1.2)
chunky_png (~> 1.0)
rqrcode_core (~> 0.1)
......@@ -805,7 +805,7 @@ DEPENDENCIES
cucumber-rails (= 2.0.0)
database_cleaner (= 1.8.3)
devise (= 4.7.1)
devise-two-factor (= 3.0.3)
devise-two-factor (= 4.0.0)
devise_lastseenable (= 0.0.6)
diaspora-prosody-config (= 0.0.7)
diaspora_federation-json_schema (= 0.2.6)
......
......@@ -4,6 +4,8 @@
# licensed under the Affero General Public License version 3 or later. See
# the COPYRIGHT file.
require "attr_encrypted"
class User < ApplicationRecord
include AuthenticationToken
include Connecting
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment